/******************************************************************************
 * Copyright (c) 2008 Christian Fonden, Tim Schumacher, Tobias Fink,          *
 *                    Ting Wang, Daniel Hofmann, Vasilios Grigas,             *
 *                    Michael Fechter, Wolfgang Bischoff                      *
 *                                                                            *
 *  This file is part of EvoLab. (Library)                                    *
 *                                                                            *
 *  EvoLab-Library is free software: you can redistribute it and/or modify    *
 *  it under the terms of the MIT/X11 license as published by                 *
 *  the Massachusetts Institute of Technology.                                *
 *                                                                            *
 *  EvoLab is distributed in the hope that it will be useful,                 *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  MIT/X11 License for more details.                                         *
 *                                                                            *
 *  You should have received a copy of the MIT/X11 License along with EvoLab. *
 *  If not, see <http://www.opensource.org/licenses/mit-license.php>.         *
 ******************************************************************************/

using System;
using System.Collections.Generic;
using System.Text;

namespace EvoLab.Common
{
    /// @cond
    /// <author>Tim Schuhmacher</author>
    /// <version>$Revision: 2625 $</version>
    /// <id>$Id: Rights.cs 2625 2008-04-25 10:16:16Z hofmandl $</id>
    /// @endcond
    /// <summary>
    /// Die verfgbaren Rechte fr die Benutzerverwaltung. 
    /// Jedem Recht muss eine Zweier-Potenz zugewiesen werden.
    /// </summary>
    public enum Rights
    {
        SIMULATION_READ_RIGHT = 128,
        SIMULATION_WRITE_RIGHT = 64,
        SIMULATION_EXECUTE_RIGHT = 32,
        MODULE_WRITE_RIGHT = 8,
        MODULE_EXECUTE_RIGHT = 4,
        ADMIN_RIGHT = 1,
        UNDEFINED = 0
    }
}
