/******************************************************************************
 * Copyright (c) 2008 Christian Fonden, Tim Schumacher, Tobias Fink,          *
 *                    Ting Wang, Daniel Hofmann, Vasilios Grigas,             *
 *                    Michael Fechter, Wolfgang Bischoff                      *
 *                                                                            *
 *  This file is part of EvoLab. (Library)                                    *
 *                                                                            *
 *  EvoLab-Library is free software: you can redistribute it and/or modify    *
 *  it under the terms of the MIT/X11 license as published by                 *
 *  the Massachusetts Institute of Technology.                                *
 *                                                                            *
 *  EvoLab is distributed in the hope that it will be useful,                 *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  MIT/X11 License for more details.                                         *
 *                                                                            *
 *  You should have received a copy of the MIT/X11 License along with EvoLab. *
 *  If not, see <http://www.opensource.org/licenses/mit-license.php>.         *
 ******************************************************************************/

using System;

using EvoLab.CoreApi.ModuleInterfaces;

namespace EvoLab.CoreApi {

    /// <summary>
    /// Dieses Interface stellt Zugriff auf die Run-Methoden der
    /// Operatormodule zur Verfügung.
    ///
    /// Es ermöglicht das Laden der für eine bestimmte Simulation
    /// vorgesehenen Operatormodule.
    /// </summary> 
    /// @cond
    /// <author>Daniel Hofmann</author>
    /// <version>$Revision: 2634 $</version>
    /// <id>$Id: IModuleLoader.cs 2634 2008-04-28 15:28:13Z hofmandl $</id>
    /// @endcond
    public interface IModuleLoader {

        /// <summary>
        /// Gibt eine Referenz auf die Modulinstanz zurück, welche
        /// der für die Simulation angegebenen ModuleInfo mit diesem
        /// Identifier entspricht.
        /// </summary>
        /// <param name="identifier">Der Identifier des Moduls, das
        /// zurückgegeben werden soll.</param>
        /// <returns>Referenz auf das geladene Modul</returns>
        IModuleCore LoadModule (string identifier);
    }
  
}
