/******************************************************************************
 * Copyright (c) 2008 Christian Fonden, Tim Schumacher, Tobias Fink,          *
 *                    Ting Wang, Daniel Hofmann, Vasilios Grigas,             *
 *                    Michael Fechter, Wolfgang Bischoff                      *
 *                                                                            *
 *  This file is part of EvoLab. (Library)                                    *
 *                                                                            *
 *  EvoLab-Library is free software: you can redistribute it and/or modify    *
 *  it under the terms of the MIT/X11 license as published by                 *
 *  the Massachusetts Institute of Technology.                                *
 *                                                                            *
 *  EvoLab is distributed in the hope that it will be useful,                 *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  MIT/X11 License for more details.                                         *
 *                                                                            *
 *  You should have received a copy of the MIT/X11 License along with EvoLab. *
 *  If not, see <http://www.opensource.org/licenses/mit-license.php>.         *
 ******************************************************************************/


using System;

namespace EvoLab.CoreApi
{
                
        public interface IOutputAccess
        {
        /// @cond
        /// <author>Vasilios Grigas</author>
        /// @endcond
        /// <summary>
        /// Schreibt einen Datensatz für Simulation dieses IOutputAccess-Objekts auf der Festplatte. 
        /// Existiert bereits ein Datensatz mit selber Nummer und Outputmodul, werden die Daten
        /// angehängt, ansonsten wird ein neuer Datensatz erzeugt.
        /// </summary>
        /// <param name="data">Der String, der in den Datensatz geschrieben wird.</param>
        /// <param name="number">Die Datensatz-Nummer</param>
        /// <param name="outputModulIdentifier">Der Identifier des Outputmoduls, das diesen Eintrag hier schreibt.</param>
        void WriteDataSet(String data, int number, String outPutModulIdentifier);
        
        }
}
