/******************************************************************************
 * Copyright (c) 2008 Christian Fonden, Tim Schumacher, Tobias Fink,          *
 *                    Ting Wang, Daniel Hofmann, Vasilios Grigas,             *
 *                    Michael Fechter, Wolfgang Bischoff                      *
 *                                                                            *
 *  This file is part of EvoLab. (Library)                                    *
 *                                                                            *
 *  EvoLab-Library is free software: you can redistribute it and/or modify    *
 *  it under the terms of the MIT/X11 license as published by                 *
 *  the Massachusetts Institute of Technology.                                *
 *                                                                            *
 *  EvoLab is distributed in the hope that it will be useful,                 *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  MIT/X11 License for more details.                                         *
 *                                                                            *
 *  You should have received a copy of the MIT/X11 License along with EvoLab. *
 *  If not, see <http://www.opensource.org/licenses/mit-license.php>.         *
 ******************************************************************************/

using System;

namespace EvoLab.CoreApi.Parameters
{

    /// @cond
    /// <author>Daniel Hofmann</author>
    /// <version>$Revision: 2634 $</version>
    /// <id>$Id: ParameterAttribute.cs 2634 2008-04-28 15:28:13Z hofmandl $</id>
    /// @endcond
    /// <summary>
    /// Abstrakte Vaterklasse für alle ParameterAttribute, die das
    /// gemeinsame Vorhandensein des Name-Wert-Paares abstrahiert.
    ///
    /// Leider lässt sich diese Klasse nicht als generische Klasse
    /// realisieren, da eine generische Klasse nicht von
    /// System.Attribute erben darf.
    /// </summary> 
    public abstract class ParameterAttribute : System.Attribute {
        public readonly string name;

        public ParameterAttribute (string name) {
            this.name = name;
        }

        public abstract object Value {
            get;
        }
    }

}
