/******************************************************************************
 * Copyright (c) 2008 Christian Fonden, Tim Schumacher, Tobias Fink,          *
 *                    Ting Wang, Daniel Hofmann, Vasilios Grigas,             *
 *                    Michael Fechter, Wolfgang Bischoff                      *
 *                                                                            *
 *  This file is part of EvoLab. (Library)                                    *
 *                                                                            *
 *  EvoLab-Library is free software: you can redistribute it and/or modify    *
 *  it under the terms of the MIT/X11 license as published by                 *
 *  the Massachusetts Institute of Technology.                                *
 *                                                                            *
 *  EvoLab is distributed in the hope that it will be useful,                 *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  MIT/X11 License for more details.                                         *
 *                                                                            *
 *  You should have received a copy of the MIT/X11 License along with EvoLab. *
 *  If not, see <http://www.opensource.org/licenses/mit-license.php>.         *
 ******************************************************************************/

using System;

using EvoLab.CoreApi;
using EvoLab.CoreApi.ModuleTemplates;
using EvoLab.CoreApi.Parameters;
using EvoLab.CoreApi.Individuals;
using EvoLab.CoreApi.Populations;

namespace EvoLab.Core.StandardModules.Universal
{
    [Author("Lieferumfang von EvoLab")]
    [Description("Erstellung einer CSV-Datei mit allen Fitnesswerten im RessourcenOrdner des Benutzers")]
    [Identifier("EA_Fitness2CSV")]
    public class Fitness2CSV<I,P> : EACSVOutput<I, P>
        where I : IFitnessReadable, ITransformable<I>
        where P : EAPopulation<I>
    {
		protected override string GetTableEntry (I individual) {
			return individual.Fitness.ToString (System.Globalization.CultureInfo.InvariantCulture);
		}
    }
}
